﻿--[[
	Persistent Data for TellTrack, Saved Variables
]]

TellTrack = KarmaLibrary:GetInstance( "TellTrack", {

} );

TellTrack:RegisterDB( "TellTrackDB", {
	Options = {
		Enabled = 1,
		InvertedList = 0,
		DontSaveList = 0,
		AutoWhisperFrame = 0,
		HideOtherWhispers = 0,
		TimeStamps = 0,
		WhisperFirst = 0,
		HideBorder = 0,
		DebugMode = 0,
		-- Internal flags
		Color = "|c0076dfff",			-- optional text accent color
		VersionCopy = 0,                -- [0|1]  Is imported CT_RaidTracker, one time thing very first load only
		VersionFix = 0,					-- [0...]  Current database version level
	},
	Log = { },
	Chat = { },
} );


function TellTrack:RunVersionFix( frame )
	local db = self._store.db;

	if db.Options.VersionCopy == 0 then
		if CT_RaidTracker_RaidLog then
			self:Print("Importing TellTrack database.")
			self:ImportToDB( "Options", _G, "TellTrack_", false, false, { "Enabled", "HideBorder", "InvertedList", "DontSaveList",
				"AutoWhisperFrame", "HideOtherWhispers", "TimeStamps", "WhisperFirst", } );
			self:ImportToDB( nil, _G, "TellTrack_", false, false, { Chat="WhisperChatFrame", Log="SavedList",} );
		end
--		db.Options.VersionCopy = 1;
	end
		
	local opts = self._options;
	local log = db.Log;
	
	if opts.VersionFix == 0 then
--		self:Debug("VersionFix", 1);

--		opts.VersionFix = 1;
	end

end
